Expo too dark with many workspaces in a row

Bug #206398 reported by E.Panepucci on 2008-03-25
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
compiz (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: compiz

Description: Ubuntu hardy (development branch)
Release: 8.04

compiz:
  Installed: 1:0.7.2-0ubuntu2
  Candidate: 1:0.7.2-0ubuntu2
  Version table:
 *** 1:0.7.2-0ubuntu2 0
        500 http://ch.archive.ubuntu.com hardy/main Packages
        100 /var/lib/dpkg/status

When you have many workspaces in a single
row (9 in my case) and you trigger the "Expo" function
in compiz, the illumination of the workspace thumbnails
is very dark making it very difficult to discern the applications.

A correction due to the increased distance to the light
source should be applied.

Great job on Hardy.

Cheers,
    E

Basilio Kublik (sourcercito) wrote :

Hi there
do you still experience this issue with the latest updates in Hardy Heron?

Thanks in advance

Changed in compiz:
assignee: nobody → sourcercito
importance: Undecided → Wishlist
status: New → Incomplete

Dear Basilio,

> do you still experience this issue with the latest updates in Hardy Heron?

I've just updated to the latest packages (April 11, 2008 at 9:00 am) and
I still have the same problems.

Here is a list of compiz related packages that I have installed:

compiz 1:0.7.2-0ubuntu2
compiz-core 1:0.7.2-0ubuntu2
compiz-fusion-plugins-extra 0.7.2-0ubuntu1
compiz-fusion-plugins-main 0.7.2-0ubuntu2
compiz-gnome 1:0.7.2-0ubuntu2
compiz-plugins 1:0.7.2-0ubuntu2
compizconfig-backend-gconf 0.7.2-0ubuntu1
compizconfig-settings-manager 0.7.2-0ubuntu2
libcompizconfig0 0.7.2-0ubuntu1
python-compizconfig 0.7.2-0ubuntu1

Attached are two screenshots to help understand what
I have.

Kind regards,
   Ezequiel

I really don't agree this is a problem but I'll leave the bug open for now. Everything is working as expected just not how you'd like.

Changed in compiz:
assignee: sourcercito → nobody
status: Incomplete → New

Expo, is supposed to show you your viewports so you
can choose based on what you see.

If one cannot see the desktops then Expo does not work.

Another option would be to make all viewports the
same brightness and draw some sort of background
or border indicating the current viewport.

Cheers,
   Zac

On Fri, Apr 11, 2008 at 12:35 PM, Travis Watkins <email address hidden> wrote:
> I really don't agree this is a problem but I'll leave the bug open for
> now. Everything is working as expected just not how you'd like.
>
> ** Changed in: compiz (Ubuntu)
> Assignee: Basilio Kublik (sourcercito) => (unassigned)
> Status: Incomplete => New
>
>
>
> --
> compiz expo too dark with many workspaces in a row
> https://bugs.launchpad.net/bugs/206398
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Source Package "compiz" in Ubuntu: New
>
> Bug description:
> Binary package hint: compiz
>
> Description: Ubuntu hardy (development branch)
> Release: 8.04
>
> compiz:
> Installed: 1:0.7.2-0ubuntu2
> Candidate: 1:0.7.2-0ubuntu2
> Version table:
> *** 1:0.7.2-0ubuntu2 0
> 500 http://ch.archive.ubuntu.com hardy/main Packages
> 100 /var/lib/dpkg/status
>
> When you have many workspaces in a single
> row (9 in my case) and you trigger the "Expo" function
> in compiz, the illumination of the workspace thumbnails
> is very dark making it very difficult to discern the applications.
>
> A correction due to the increased distance to the light
> source should be applied.
>
> Great job on Hardy.
>
> Cheers,
> E
>

--
Ezequiel Panepucci
Phone: +41 (0)56 310 5267
Cell : +41 (0)79 598 6946

But the 'problem' is in the lighting system used in compiz, the expo plugin doesn't do anything here. If you disable lighting in General Options the problem goes away.

> But the 'problem' is in the lighting system used in compiz, the expo
> plugin doesn't do anything here. If you disable lighting in General
> Options the problem goes away.

Lightning is excellent in Compiz and many of the effects, like
the window switcher but in Expo it is a lot darker, I haven't
ever looked at Compiz or any of the effects code but I'm
rather sure this lightning option can be controlled by
code in the Expo effect.

In Expo there is a setting that lets you change the lightning of
inactive windows but even the currently selected window is
just too dark.

Cheers,
   Zac

We were wondering if this is still an issue for you. Can you try with the latest Ubuntu release? Thanks in advance.

Changed in compiz:
status: New → Incomplete

Hi Martin,

I'll try it out as soon as I can and report back.

Cheers,
   Zac

On Tue, Jan 27, 2009 at 5:33 PM, Martin Mai <email address hidden> wrote:
> We were wondering if this is still an issue for you. Can you try with
> the latest Ubuntu release? Thanks in advance.
>
> ** Changed in: compiz (Ubuntu)
> Status: New => Incomplete
>
> --
> compiz expo too dark with many workspaces in a row
> https://bugs.launchpad.net/bugs/206398
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "compiz" source package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: compiz
>
> Description: Ubuntu hardy (development branch)
> Release: 8.04
>
> compiz:
> Installed: 1:0.7.2-0ubuntu2
> Candidate: 1:0.7.2-0ubuntu2
> Version table:
> *** 1:0.7.2-0ubuntu2 0
> 500 http://ch.archive.ubuntu.com hardy/main Packages
> 100 /var/lib/dpkg/status
>
> When you have many workspaces in a single
> row (9 in my case) and you trigger the "Expo" function
> in compiz, the illumination of the workspace thumbnails
> is very dark making it very difficult to discern the applications.
>
> A correction due to the increased distance to the light
> source should be applied.
>
> Great job on Hardy.
>
> Cheers,
> E
>

--
Ezequiel Panepucci
Phone: +41 (0)56 310 5267
Cell : +41 (0)79 598 6946

We'd like to figure out what's causing this bug for you, but we haven't heard back from you in a while. Could you please provide the requested information? Thanks!

Changed in compiz (Ubuntu):
importance: Wishlist → Low
status: Incomplete → Triaged
summary: - compiz expo too dark with many workspaces in a row
+ Expo too dark with many workspaces in a row
Jon (spam-jonkowal) wrote :

Hi, I am having that same problem with the 10.10 Beta. Also switching virtual desktops has the same dark effect. It goes away when I disable lightning, but I assume that's not the point of lightning.

Thank you for taking the time to report this bug and helping to make Ubuntu better. We are sorry that we do not always have the capacity to look at all reported bugs in a timely manner. There have been many changes in Ubuntu since that time you reported the bug and your problem may have been fixed with some of the updates. It would help us a lot if you could test it on a currently supported Ubuntu version. When you test it and it is still an issue, kindly upload the updated logs by running apport-collect <bug #> and any other logs that are relevant for this particular issue.

Changed in compiz (Ubuntu):
status: Triaged → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for compiz (Ubuntu) because there has been no activity for 60 days.]

Changed in compiz (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers